#pragma once 
#define GLFW_STATIC

#include <glad/glad.h>
#include <GLFW/glfw3.h>
#include "../Include/EventSystem/EventListener.h"





class BarinkWindow : EventListener {
    private:
        GLFWwindow* window;
        bool FullScreen;
        bool VulkanSupported;
        int Width, Height;

        static bool InitGLFW();




    public:
        BarinkWindow(const int width, const int height);
        ~BarinkWindow();

        GLFWwindow* windowptr();

        void ReceiveEvent(Event& incident) override;
        bool WindowShouldClose();

        void Poll();
        void SwapBuffers();


};